Bug 1123019 - Installer: Customize timeout for the server up status detection
Summary: Installer: Customize timeout for the server up status detection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER2
: 6.1.0
Assignee: Thomas Hauser
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 15:44 UTC by Thomas Hauser
Modified: 2016-02-10 08:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the amount of time the installer waited for the user's server to start up was hard-coded. You can now override this timeout if your machine is slow.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:57:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Hauser 2014-07-24 15:44:50 UTC
Description of problem:
Applies to all installers:

Currently the amount of time the installer waits for the user's server to start up is hardcoded. In many use cases, it would be valuable to be able to specify the TIMEOUT at runtime, in case the uesr's machine is quite slow.


Version-Release number of selected component (if applicable):
6.0.0.GA

How reproducible:
Always

Comment 2 Anne-Louise Tangring 2014-07-28 13:11:58 UTC
Another option might be to allow the user to cancel it instead if they don't want to wait for it to finish and not have a time out at all.

Comment 3 Thomas Hauser 2014-08-21 19:43:34 UTC
This overriding of the server timeout is added and present in DV ER1. The other products will also inherit this functionality.

Comment 4 Thomas Hauser 2014-08-21 19:51:57 UTC
Usage:

java -jar <installer> -variables override.server.timeout=<new value in seconds>


Note You need to log in before you can comment on or make changes to this bug.